summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan Timoney <dtimoney@att.com>2020-12-10 15:03:26 +0000
committerGerrit Code Review <gerrit@onap.org>2020-12-10 15:03:26 +0000
commita79c328f0fdf4ec9b2125a4b3df8192da3247f32 (patch)
tree822cf5d92ea05e7554e22708f25949ea0e07091b
parent692718d5aca13ede537d44a89aafcb33bc80257a (diff)
parent0c4500afd225801c940b309a2615b1afe3c505c8 (diff)
Merge "Move CSIT to ccsdk/distribution repo"
-rw-r--r--csit/.gitignore5
-rw-r--r--csit/plans/healthcheck/setup.sh96
-rw-r--r--csit/plans/healthcheck/teardown.sh22
-rw-r--r--csit/plans/healthcheck/testplan.txt4
-rwxr-xr-xcsit/run-project-csit.sh51
-rw-r--r--csit/scripts/healthcheck/health_check.sh30
-rw-r--r--csit/tests/healthcheck/__init__.robot2
-rw-r--r--csit/tests/healthcheck/test1.robot16
-rwxr-xr-xdeployment/tag-docker-staging.sh36
-rw-r--r--dgbuilder-docker/pom.xml4
-rw-r--r--odlsli/odlsli-alpine/pom.xml10
-rw-r--r--src/main/scripts/TagSnapshotVersion.groovy34
12 files changed, 305 insertions, 5 deletions
diff --git a/csit/.gitignore b/csit/.gitignore
new file mode 100644
index 00000000..2b9c92f1
--- /dev/null
+++ b/csit/.gitignore
@@ -0,0 +1,5 @@
+run-csit.sh
+prepare-csit.sh
+env.properties
+data/
+archives/
diff --git a/csit/plans/healthcheck/setup.sh b/csit/plans/healthcheck/setup.sh
new file mode 100644
index 00000000..a34c44ab
--- /dev/null
+++ b/csit/plans/healthcheck/setup.sh
@@ -0,0 +1,96 @@
+#!/bin/bash
+#
+# Copyright 2016-2017 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Modifications copyright (c) 2017 AT&T Intellectual Property
+# Modifications copyright (c) 2020 Samsung Electronics Co., Ltd.
+#
+
+export MTU=$(/sbin/ifconfig | grep MTU | sed 's/.*MTU://' | sed 's/ .*//' | sort -n | head -1)
+export NEXUS_DOCKER_REPO="nexus3.onap.org:10001"
+export NEXUS_USERNAME=docker
+export NEXUS_PASSWD=docker
+export DMAAP_TOPIC=AUTO
+
+if [ "$UNIQUE_DOCKER_TAG" == "" ]; then
+ export CCSDK_DOCKER_IMAGE_VERSION=latest
+else
+ source "${WORKSPACE}/../version.properties"
+ export CCSDK_DOCKER_IMAGE_VERSION=${snapshot_version}-${UNIQUE_DOCKER_TAG}
+fi
+
+if [ "$MTU" == "" ]; then
+ export MTU="1450"
+fi
+
+# Copy default docker-compose.yaml to archives for CSIT modification
+mkdir -p $WORKSPACE/archives/yaml
+cp $WORKSPACE/../src/main/yaml/docker-compose.yml $WORKSPACE/archives/yaml
+cd $WORKSPACE/archives/yaml
+unset http_proxy https_proxy
+
+sed -i "s/DMAAP_TOPIC_ENV=.*/DMAAP_TOPIC_ENV="AUTO"/g" docker-compose.yml
+docker login -u $NEXUS_USERNAME -p $NEXUS_PASSWD $NEXUS_DOCKER_REPO
+
+docker pull $NEXUS_DOCKER_REPO/onap/ccsdk-odlsli-alpine-image:$CCSDK_DOCKER_IMAGE_VERSION
+
+docker pull $NEXUS_DOCKER_REPO/onap/ccsdk-dgbuilder-image:$CCSDK_DOCKER_IMAGE_VERSION
+
+# start CCSDK containers with docker compose and configuration from docker-compose.yml
+curl -L https://github.com/docker/compose/releases/download/1.9.0/docker-compose-`uname -s`-`uname -m` > docker-compose
+chmod +x docker-compose
+./docker-compose up -d
+
+# WAIT 5 minutes maximum and check karaf.log for readiness every 10 seconds
+
+TIME_OUT=300
+INTERVAL=10
+TIME=0
+while [ "$TIME" -lt "$TIME_OUT" ]; do
+
+docker exec ccsdk_odlsli_container cat /opt/opendaylight/data/log/karaf.log | grep 'warp coils'
+
+ if [ $? == 0 ] ; then
+ echo CCSDK karaf started in $TIME seconds
+ break;
+ fi
+
+ echo Sleep $INTERVAL seconds before testing if CCSDK is up. Total wait time up until now is $TIME seconds. Timeout is $TIME_OUT seconds
+ sleep $INTERVAL
+ TIME=$(($TIME+$INTERVAL))
+done
+
+if [ "$TIME" -ge "$TIME_OUT" ]; then
+ echo TIME OUT: karaf session not started in $TIME_OUT seconds, setup failed
+ exit 1;
+fi
+
+num_bundles=$(docker exec -i ccsdk_odlsli_container /opt/opendaylight/current/bin/client bundle:list | tail -1 | cut -d' ' -f1)
+
+ if [ "$num_bundles" -ge 333 ]; then
+ num_bundles=$(docker exec -i ccsdk_odlsli_container /opt/opendaylight/current/bin/client bundle:list | tail -1 | cut -d' ' -f1)
+ num_failed_bundles=$(docker exec -i ccsdk_odlsli_container /opt/opendaylight/current/bin/client bundle:list | grep Failure | wc -l)
+ failed_bundles=$(docker exec -i ccsdk_odlsli_container /opt/opendaylight/current/bin/client bundle:list | grep Failure)
+ echo There is/are $num_failed_bundles failed bundles out of $num_bundles installed bundles.
+ fi
+
+if [ "$num_failed_bundles" -ge 1 ]; then
+ echo "The following bundle(s) are in a failed state: "
+ echo " $failed_bundles"
+fi
+
+# Pass any variables required by Robot test suites in ROBOT_VARIABLES
+ROBOT_VARIABLES="-v SCRIPTS:${SCRIPTS}"
+
diff --git a/csit/plans/healthcheck/teardown.sh b/csit/plans/healthcheck/teardown.sh
new file mode 100644
index 00000000..f38c570a
--- /dev/null
+++ b/csit/plans/healthcheck/teardown.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+#
+# Copyright 2016-2017 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Modifications copyright (c) 2017 AT&T Intellectual Property
+# Modifications copyright (c) 2020 Samsung Electronics Co., Ltd.
+#
+
+cd $WORKSPACE/archives/yaml
+docker-compose down -v
diff --git a/csit/plans/healthcheck/testplan.txt b/csit/plans/healthcheck/testplan.txt
new file mode 100644
index 00000000..97621af3
--- /dev/null
+++ b/csit/plans/healthcheck/testplan.txt
@@ -0,0 +1,4 @@
+# Test suites are relative paths under csit/tests/.
+# Place the suites in run order.
+healthcheck
+
diff --git a/csit/run-project-csit.sh b/csit/run-project-csit.sh
new file mode 100755
index 00000000..e8ce1123
--- /dev/null
+++ b/csit/run-project-csit.sh
@@ -0,0 +1,51 @@
+#!/bin/bash -x
+#
+# Copyright 2020 © Samsung Electronics Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+# $1 test options (passed on to run-csit.sh as such)
+#
+# UNIQUE_DOCKER_TAG environment variable is expected to be used
+# by all test plans whenever it is defined. If it's not defined,
+# local execution is assumed and plain "latest" should be used
+# by setup scripts to allow the use of locally build docker images
+#
+
+export TESTOPTIONS=${1}
+# GERRIT_BRANCH for checking out integration/csit should be the same as
+# current project clone branch
+export GERRIT_BRANCH=${GERRIT_BRANCH:-`git rev-parse --abbrev-ref HEAD`}
+export WORKSPACE=$(git rev-parse --show-toplevel)/csit
+
+rm -rf ${WORKSPACE}/archives
+mkdir -p ${WORKSPACE}/archives
+rm -rf ${WORKSPACE}/data
+mkdir -p ${WORKSPACE}/data
+
+cd ${WORKSPACE}/data
+git clone https://gerrit.onap.org/r/integration/csit
+cd csit
+# make best-effort attempt to checkout branch that corresponds to current
+# project repository clone if the checkout fails for any reason,
+# the cloned integration/csit remains on master
+git checkout ${GERRIT_BRANCH}
+cp *.sh ${WORKSPACE}/
+cd ${WORKSPACE}
+# Execute all testsuites defined under plans subdirectory
+for dir in plans/*/
+do
+ dir=${dir%*/} # remove the trailing /
+ ./run-csit.sh ${dir} ${TESTOPTIONS}
+done
diff --git a/csit/scripts/healthcheck/health_check.sh b/csit/scripts/healthcheck/health_check.sh
new file mode 100644
index 00000000..aed3b5ab
--- /dev/null
+++ b/csit/scripts/healthcheck/health_check.sh
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+###############################################################################
+# Copyright 2017 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Modifications copyright (c) 2020 Samsung Electronics Co., Ltd.
+#
+###############################################################################
+unset http_proxy https_proxy
+
+response=$(curl --write-out '%{http_code}' --silent --output /dev/null -H "Authorization: Basic YWRtaW46S3A4Yko0U1hzek0wV1hsaGFrM2VIbGNzZTJnQXc4NHZhb0dHbUp2VXkyVQ==" -X POST -H "X-FromAppId: csit-sdnc" -H "X-TransactionId: csit-ccsdk" -H "Accept: application/json" -H "Content-Type: application/json" http://localhost:8383/restconf/operations/SLI-API:healthcheck )
+
+if [ "$response" == "200" ]; then
+ echo "CCSDK health check passed."
+ exit 0;
+fi
+
+echo "CCSDK health check failed with response code ${response}."
+exit 1
diff --git a/csit/tests/healthcheck/__init__.robot b/csit/tests/healthcheck/__init__.robot
new file mode 100644
index 00000000..1259b890
--- /dev/null
+++ b/csit/tests/healthcheck/__init__.robot
@@ -0,0 +1,2 @@
+*** Settings ***
+Documentation CCSDK - healthcheck
diff --git a/csit/tests/healthcheck/test1.robot b/csit/tests/healthcheck/test1.robot
new file mode 100644
index 00000000..69c0e071
--- /dev/null
+++ b/csit/tests/healthcheck/test1.robot
@@ -0,0 +1,16 @@
+*** Settings ***
+Library OperatingSystem
+Library Process
+
+*** Variables ***
+
+${health_check} ${SCRIPTS}/healthcheck/health_check.sh
+
+
+*** Test Cases ***
+Health check test case for CCSDK
+ [Documentation] Health check
+ ${result_hc}= Run Process bash ${health_check} > log_hc.txt shell=yes
+ Should Be Equal As Integers ${result_hc.rc} 0
+
+
diff --git a/deployment/tag-docker-staging.sh b/deployment/tag-docker-staging.sh
new file mode 100755
index 00000000..55d3c726
--- /dev/null
+++ b/deployment/tag-docker-staging.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+#
+# Copyright 2020 © Samsung Electronics Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DOCKER_REPOSITORY="nexus3.onap.org:10003"
+ORG="onap"
+IMAGES=("ccsdk-dgbuilder-image" "ccsdk-odlsli-alpine-image")
+IMAGE_NAME_BASE="${DOCKER_REPOSITORY}/${ORG}/"
+TAG_NAME=${UNIQUE_DOCKER_TAG}
+
+set -x
+source ../version.properties
+if [ ! -z "${TAG_NAME}" ]; then
+for i in ${!IMAGES[@]};
+ do
+ image=${IMAGE_NAME_BASE}${IMAGES[$i]}
+ echo "Push STAGING tag for docker image ${image}"
+ docker pull ${image}:${snapshot_version}-${TAG_NAME}
+ docker tag ${image}:${snapshot_version}-${TAG_NAME} ${image}:${release_name}.${sprint_number}.${feature_revision}-STAGING-latest
+ docker push ${image}:${release_name}.${sprint_number}.${feature_revision}-STAGING-latest
+ done
+fi
+
diff --git a/dgbuilder-docker/pom.xml b/dgbuilder-docker/pom.xml
index 351db80c..3bcfff0e 100644
--- a/dgbuilder-docker/pom.xml
+++ b/dgbuilder-docker/pom.xml
@@ -23,6 +23,7 @@
<image.name>onap/ccsdk-dgbuilder-image</image.name>
<ccsdk.project.version>${project.version}</ccsdk.project.version>
<ccsdk.build.timestamp>${maven.build.timestamp}</ccsdk.build.timestamp>
+ <uniquedockertag>${env.UNIQUE_DOCKER_TAG}</uniquedockertag>
</properties>
<build>
@@ -39,7 +40,7 @@
<goal>execute</goal>
</goals>
<configuration>
- <source>${basedir}/../src/main/scripts/TagVersion.groovy</source>
+ <source>${basedir}/../src/main/scripts/TagSnapshotVersion.groovy</source>
</configuration>
</execution>
</executions>
@@ -185,6 +186,7 @@
<tag>${project.docker.latestminortag.version}</tag>
<tag>${project.docker.latestfulltag.version}</tag>
<tag>${project.docker.latesttagtimestamp.version}</tag>
+ <tag>${project.docker.uniquedockertag.version}</tag>
</tags>
</build>
</image>
diff --git a/odlsli/odlsli-alpine/pom.xml b/odlsli/odlsli-alpine/pom.xml
index b78ece27..69a5b920 100644
--- a/odlsli/odlsli-alpine/pom.xml
+++ b/odlsli/odlsli-alpine/pom.xml
@@ -24,7 +24,8 @@
<base.image.name>onap/ccsdk-odl-sodium-alpine-image</base.image.name>
<image.name>onap/ccsdk-odlsli-alpine-image</image.name>
<ccsdk.project.version>${project.version}</ccsdk.project.version>
- <ccsdk.build.timestamp>${maven.build.timestamp}</ccsdk.build.timestamp>
+ <ccsdk.build.timestamp>${maven.build.timestamp}</ccsdk.build.timestamp>
+ <uniquedockertag>${env.UNIQUE_DOCKER_TAG}</uniquedockertag>
<docker.buildArg.https_proxy>${https_proxy}</docker.buildArg.https_proxy>
<maven.build.timestamp.format>yyyyMMdd'T'HHmmss'Z'</maven.build.timestamp.format>
<opendaylight.root>opt/opendaylight</opendaylight.root>
@@ -45,7 +46,7 @@
<ccsdk.sli.plugins.version>1.1.0</ccsdk.sli.plugins.version>
<ccsdk.oran.a1adapter.version>1.1.0</ccsdk.oran.a1adapter.version>
<docker.autoCreateCustomNetworks>true</docker.autoCreateCustomNetworks>
- </properties>
+</properties>
<dependencies>
<dependency>
@@ -333,7 +334,7 @@
<goal>execute</goal>
</goals>
<configuration>
- <source>${basedir}/../../src/main/scripts/TagVersion.groovy</source>
+ <source>${basedir}/../../src/main/scripts/TagSnapshotVersion.groovy</source>
</configuration>
</execution>
</executions>
@@ -608,7 +609,8 @@
<tag>${project.docker.latestminortag.version}</tag>
<tag>${project.docker.latestfulltag.version}</tag>
<tag>${project.docker.latesttagtimestamp.version}</tag>
- </tags>
+ <tag>${project.docker.uniquedockertag.version}</tag>
+ </tags>
</build>
</image>
</images>
diff --git a/src/main/scripts/TagSnapshotVersion.groovy b/src/main/scripts/TagSnapshotVersion.groovy
new file mode 100644
index 00000000..97014743
--- /dev/null
+++ b/src/main/scripts/TagSnapshotVersion.groovy
@@ -0,0 +1,34 @@
+/*-
+ * ============LICENSE_START=======================================================
+ * ONAP CCSDK
+ * ================================================================================
+ * Copyright (C) 2020 Samsung Electronics Co., Ltd.
+ * ================================================================================
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ * ============LICENSE_END============================================
+ * ===================================================================
+ *
+ */
+
+package org.onap.ccsdk.distribution
+
+Properties properties = new Properties()
+File propertiesFile = new File(new File(getClass().protectionDomain.codeSource.location.path).parent + '/../../../version.properties')
+propertiesFile.withInputStream {
+ properties.load(it)
+}
+
+project.properties['project.docker.latestminortag.version']=properties.release_name + '.' + properties.sprint_number + "-SNAPSHOT-latest";
+project.properties['project.docker.latestfulltag.version']=properties.release_name + '.' + properties.sprint_number + '.' + properties.feature_revision + "-SNAPSHOT-latest";
+project.properties['project.docker.latesttagtimestamp.version']=properties.release_name + '.' + properties.sprint_number + '.' + properties.feature_revision + "-SNAPSHOT-"+project.properties['ccsdk.build.timestamp'];
+project.properties['project.docker.uniquedockertag.version']=properties.release_name + '.' + properties.sprint_number + '.' + properties.feature_revision + "-SNAPSHOT-"+project.properties['uniquedockertag'];